<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: HEAD, GET, POST, PUT, PATCH, DELETE, OPTIONS");
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];
if ($method == "OPTIONS") {
    header('Access-Control-Allow-Origin: *');
    header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
    header("HTTP/1.1 200 OK");
    die();
}

require '../../../../config/db.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'));

    if (!empty($data->donation) && !empty($data->team) && !empty($data->paymentGateway)) {

        $donation = $data->donation;
        $team = $data->team;
        $paymentGateway = $data->paymentGateway;

        $dateTime = date("Y-m-d H:i:s");

        $donation_query = "UPDATE Settings SET `config` = '$donation',`DateModified` = '$dateTime' WHERE `settingId` = '1'";

        $team_query = "UPDATE Settings SET `config` = '$team',`DateModified` = '$dateTime' WHERE `settingId` = '2'";
        
        $paymentgateway_query = "UPDATE Settings SET `config` = '$paymentGateway',`DateModified` = '$dateTime' WHERE `settingId` = '3'";

        if (mysqli_query($con, $donation_query) && mysqli_query($con, $team_query) && mysqli_query($con, $paymentgateway_query) ) {
            if (mysqli_affected_rows($con) == 1) {
                echo json_encode([
                    'status' => 1,
                    'message' => 'Data saved successfully.'
                ]);
                http_response_code(200);
            } else {
                echo json_encode([
                    'status' => 0,
                    'message' => 'Could not saved data.'
                ]);
                http_response_code(200);
            }
        }
    } else {
        echo json_encode([
            'status' => -1,
            'message' => 'Required fields are missing.'
        ]);
        http_response_code(200);
    }
} else {
    echo json_encode([
        'status' => -1
    ]);
    die();
}
